<?php

namespace common\logic\Order\OrderStatusHistory;

use common\logic\ContainerInterface;
use common\logic\PointSale\PointSale\OrderStatusHistoryRepository;

class OrderStatusHistoryContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return OrderStatusHistory::class;
    }

    public function getServices(): array
    {
        return [
            OrderStatusHistoryRepository::class,
            OrderStatusHistoryBuilder::class
        ];
    }

    public function getRepository(): OrderStatusHistoryRepository
    {
        return new OrderStatusHistoryRepository();
    }

    public function getBuilder(): OrderStatusHistoryBuilder
    {
        return new OrderStatusHistoryBuilder();
    }
}