<?php

namespace common\logic\User\CreditHistory;

use common\logic\BaseService;
use common\logic\Order\Order\Order;
use common\logic\RepositoryInterface;

class CreditHistoryRepository extends BaseService implements RepositoryInterface
{
    public function defaultOptionsSearch(): array
    {
        return [
            'with' => [],
            'join_with' => [],
            'orderby' => CreditHistory::tableName() . '.date ASc',
            'attribute_id_producer' => CreditHistory::tableName() . '.id_producer'
        ];
    }

    public function getByOrder(Order $order)
    {
        return CreditHistory::find()
            ->where(['id_order' => $order->id])
            ->all();
    }
}